Package: groovy.lang

## [Java] Class SpreadMap

- groovy.lang.SpreadMap

- Helper to turn a list with an even number of elements into a Map.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SpreadMap (Object[] values)`
    `SpreadMap (Map map)`
    `SpreadMap (List list)` @since 1.8.0

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object that)`
    `` | `boolean` | `equals(SpreadMap that)`
    `` | `int` | `hashCode()`
    `` | `Object` | `put(Object key, Object value)`
    `` | `void` | `putAll(Map t)`
    `` | `Object` | `remove(Object key)`
    `` | `String` | `toString()` @return the string expression of `this`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, size, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, merge, newHashMap, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keySet, containsValue, getOrDefault, computeIfPresent, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class AbstractMap` | `remove, size, get, put, equals, toString, values, hashCode, clear, isEmpty, entrySet, putAll, containsKey, keySet, containsValue, getClass, notify, notifyAll, wait, wait, wait, remove, replace, replace, replaceAll, merge, putIfAbsent, compute, forEach, computeIfAbsent, getOrDefault, computeIfPresent`

- - ### Constructor Detail

    - #### public SpreadMap(Object[] values)

    - #### public SpreadMap(Map map)

    - #### public SpreadMap(List list)

      Since:
        1.8.0
      Parameters:
        `list` - the list to make spreadable

  - ### Method Detail

    - #### @Override public boolean equals(Object that)

    - #### public boolean equals(SpreadMap that)

    - #### @Override public int hashCode()

    - #### public Object put(Object key, Object value)

    - #### public void putAll(Map t)

    - #### public Object remove(Object key)

    - #### public String toString()

      Returns:
        the string expression of `this`